Loading...
Searching...
No Matches
Qore::Reflection::PseudoMethod Class Reference

This class provides information about Qore pseudo class methods. More...

`#include <QC_PseudoMethod.dox.h>`

Inheritance diagram for Qore::Reflection::PseudoMethod:

## Public Member Functions

auto | call (auto val,...)
| calls the given pseudo-method with the given value; the value must be compatible with the pseudo-class's type More...
auto | callArgs (auto val, *softlist< auto > argv)
| calls the given pseudo-method with the given value; the value must be compatible with the pseudo-class's type More...
| constructor ()
| Throws an exception if called directly; this class can only be instantiated by builtin subclasses. More...
Public Member Functions inherited from Qore::Reflection::AbstractMethod
| constructor ()
| Throws an exception if called directly; this class can only be instantiated by builtin subclasses. More...
AbstractClass | getClass ()
| Returns the class for the method. More...
string | getMethodTypeName ()
| returns the type of method as a string; one of `"normal"`, `"static"`, `"constructor"`, `"destructor"`, `"copy"` More...
AbstractMethodVariant | getVariant (...)
| Returns the given direct child method variant declared in this method or throws an exception if the method variant is not defined. More...
AbstractMethodVariant | getVariantArgs (softlist< Type > argv)
| Returns the given direct child method variant declared in this method or throws an exception if the method variant is not defined. More...
list< AbstractMethodVariant > | getVariants ()
| returns the variants implemented by the method More...
bool | isStatic ()
| returns True if the method is a static method More...
Public Member Functions inherited from Qore::Reflection::AbstractReflectionFunction
| constructor ()
| Throws an exception if called directly; this class can only be instantiated by builtin subclasses. More...
list< string > | getCodeFlagList ()
| returns a list of strings of code flags common to all variants for this function More...
int | getCodeFlags ()
| returns a bitfield of code flags common to all variants for this function More...
int | getDomain ()
| returns the functional domain common to all variants for this function (for builtin functions only) as a bitfield of Functional Domain Constants More...
list< string > | getDomainStringList ()
| returns a list of functional domain strings common to all variants for this function (for builtin functions only); an empty list is returned for user functions More...
*string | getModuleName ()
| Returns the module name providing the function or method or NOTHING if the function or method was not provided by a module. More...
string | getName ()
| returns the function or method name More...
bool | isBuiltin ()
| returns True if the function or method is a builtin function or method More...
bool | isEqual (AbstractReflectionFunction func)
| Returns True if the function or method object passed as an argument is equal to the current object; False if not. More...
bool | isInjected ()
| returns True if the function or method has been injected as a dependency injection More...
bool | isMethod ()
| returns True if the object is a method but not a pseudo-method More...
bool | isPseudoMethod ()
| returns True if the object is a pseudo-method More...
bool | isUser ()
| returns True if the function or method is a user function or method More...
int | numVariants ()
| returns the number of variants implemented by the function or method More...

## Detailed Description

This class provides information about Qore pseudo class methods.

Restrictions:
  Qore::PO_NO_REFLECTION

See also
  PseudoMethodVariant

Since
  Qore 0.9.0

## Member Function Documentation

## call()

auto Qore::Reflection::PseudoMethod::call | ( | auto | val,
|  |  | ...
| ) |  |

calls the given pseudo-method with the given value; the value must be compatible with the pseudo-class's type

Example:
  auto v = m.call(val, arg1, arg2);

Parameters

  val | the value to make the call on; must be compatible with the pseudo-class's type or a `METHOD-ERROR` exception is thrown
  ... | optional arguments to the method

Returns
  the return value of the method call

Exceptions

  METHOD-ERROR | the value is not compatible with the class implementing this method

See also
  callArgs()

## callArgs()

auto Qore::Reflection::PseudoMethod::callArgs | ( | auto | val,
|  | *softlist< auto > | argv
| ) |  |

calls the given pseudo-method with the given value; the value must be compatible with the pseudo-class's type

Example:
  auto v = m.callArgs(val, (arg1, arg2));

Parameters

  val | the value to make the call on; must be compatible with the pseudo-class's type or a `METHOD-ERROR` exception is thrown
  argv | optional arguments to the method

Returns
  the return value of the method call

Exceptions

  METHOD-ERROR | the value is not compatible with the class implementing this method

See also
  call()

## constructor()

Qore::Reflection::PseudoMethod::constructor | ( |  | ) |

Throws an exception if called directly; this class can only be instantiated by builtin subclasses.

Exceptions

  PSEUDOMETHOD-CONSTRUCTOR-ERROR | this exception is thrown if this class is constructed directly (also if directly inherited by user classes)

The documentation for this class was generated from the following file:

- modules/reflection/src/QC_PseudoMethod.dox.h